#!/bin/bash

cd "${install_path}"/soft
if [ ! -e "/usr/local/bin/docker-compose" ]; then
    echo "docker-compose not exist!!!"
    \cp docker-compose-linux-aarch64 /usr/local/bin/docker-compose
    chmod +x /usr/local/bin/docker-compose
    docker-compose -v
else
    echo "docker-compose have been existed!!!"
fi

cd "${install_path}"/Install_Packages
tar -xf harbor.tar -C /usr/local/
# mv harbor /usr/local/
cd /usr/local/harbor/
sed -i "s/registry.edoc2.com/$REGISTRY/g" /usr/local/harbor/harbor.yml
sleep 5
sh install.sh
cat /etc/hosts
cat /usr/local/harbor/harbor.yml
sleep 2
docker-compose down
sleep 2
\cp new-docker-compose.yml docker-compose.yml
docker load -i arm_redis-arm.tar
sleep 2
docker-compose up -d
